{
  "extractor": {
    "user-agent": "Mozilla/5.0 (X11; Linux x86_64; rv:87.0) Gecko/20100101 Firefox/87.0",
    "cookies": "~/cookies.txt",
    "base-directory": "~/Lataukset/gallery-dl/",
    "archive": "~/Lataukset/gallery-dl/archive.sqlite3",
    "exhentai":
    {
      "filename": "{num:>04}_{name}.{extension}",
      "directory": ["{category!c}", "{title}"],
      "postprocessors": [
        {
          "name": "zip",
          "compression": "store",
          "extension": "cbz"
        }
      ],
      "wait-min": 1.0,
      "wait-max": 5.0
    }
  },
  "downloader": {
    "part-directory": "/tmp/.download/",
    "rate": "1M",
    "retries": 3,
    "timeout": 8.5
  },
  "output":
  {
    "mode": "terminal",
    "log": {
      "format": "{name}: {message}",
      "level": "info"
    },
    "logfile": {
      "path": "~/Lataukset/gallery-dl/log.txt",
      "mode": "w",
      "level": "debug"
    },
    "unsupportedfile": {
      "path": "~/Lataukset/gallery-dl/unsupported.txt",
      "mode": "a",
      "format": "{asctime} {message}",
      "format-date": "%Y-%m-%d-%H-%M-%S"
    }
  },

  "cache": {
    "file": "~/Lataukset/gallery-dl/cache.sqlite3"
  }
}
